Table of Contents

Class: Root | Twisted-0.19.0/twisted/spread/flavors.py
--- | ---
### I provide a root object to Brokers for a BrokerFactory. When a BrokerFactory produces a Broker, it supplies that Broker with an object named "root". That object is obtained by calling my rootObject method. See also: getObjectAt
Base Classes |
--- | ---
Referenceable Serializable Jellyable
Methods |
--- | ---
rootObject
| rootObject
    rootObject ( self,  broker )
### A BrokerFactory is requesting to publish me as a root object. When a BrokerFactory is sending me as the root object, this method will be invoked to allow per-broker versions of an object. By default I return myself.

Table of Contents

This document was automatically generated on Sun Jul 14 19:53:20 2002 by HappyDoc version 2.0